> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getprimo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a shipment by ID

> Return the shipment details for the given shipment ID.

<span className="badge-read">Key: Read</span><span className="badge-company">Scope: Company</span>


## OpenAPI

````yaml https://api.getprimo.com/openapi.json get /shipments/{shipmentId}
openapi: 3.1.1
info:
  title: Public API - BETA
  description: Read docs on https://docs.getprimo.com/
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getprimo.com
security:
  - apikey: []
tags: []
paths:
  /shipments/{shipmentId}:
    get:
      tags:
        - Shipments
      summary: Get a shipment by ID
      description: Return the shipment details for the given shipment ID.
      operationId: getShipment
      parameters:
        - name: shipmentId
          required: true
          in: path
          schema:
            type: string
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetShipment_Output'
components:
  schemas:
    GetShipment_Output:
      type: object
      properties:
        id:
          type: string
        employeeId:
          anyOf:
            - type: string
            - type: 'null'
        reference:
          type: string
        status:
          type: string
          enum:
            - PLACED
            - CONFIRMED
            - UNKNOWN
            - PRE_TRANSIT
            - IN_TRANSIT
            - OUT_FOR_DELIVERY
            - DELIVERED
            - AVAILABLE_FOR_PICKUP
            - RETURN_TO_SENDER
            - FAILURE
            - ERROR
            - CLOSED
            - CANCELED
        reason:
          anyOf:
            - type: string
              enum:
                - ONBOARDING
                - OFFBOARDING
                - RENEWAL
                - SEND_TO_EMPLOYEE
                - SEND_TO_OFFICE
                - RECYCLE
                - REPAIR
                - RESELL
                - OTHER
                - BOX
            - type: 'null'
        trackerStatus:
          anyOf:
            - type: string
              enum:
                - unknown
                - pre_transit
                - in_transit
                - out_for_delivery
                - delivered
                - available_for_pickup
                - return_to_sender
                - failure
                - cancelled
                - error
            - type: 'null'
        estimatedDeliveryDate:
          anyOf:
            - type: string
              format: date-time
              pattern: >-
                ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
            - type: 'null'
        createdAt:
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
        box:
          anyOf:
            - type: object
              properties:
                status:
                  type: string
                  enum:
                    - BOX_ORDERED
                    - BOX_SHIPPED
                    - BOX_DELIVERED
                trackingCode:
                  anyOf:
                    - type: string
                    - type: 'null'
                trackingLink:
                  anyOf:
                    - type: string
                    - type: 'null'
                estimatedDeliveryDate:
                  anyOf:
                    - type: string
                      format: date-time
                      pattern: >-
                        ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                    - type: 'null'
              required:
                - status
              additionalProperties: false
            - type: 'null'
        content:
          type: array
          items:
            type: object
            properties:
              id:
                anyOf:
                  - type: string
                  - type: 'null'
              name:
                type: string
              type:
                anyOf:
                  - type: string
                  - type: 'null'
            required:
              - name
            additionalProperties: false
        previewFromAddress:
          anyOf:
            - type: object
              properties:
                name:
                  anyOf:
                    - type: string
                    - type: 'null'
                countryCode:
                  anyOf:
                    - type: string
                    - type: 'null'
              additionalProperties: false
            - type: 'null'
        previewToAddress:
          anyOf:
            - type: object
              properties:
                name:
                  anyOf:
                    - type: string
                    - type: 'null'
                countryCode:
                  anyOf:
                    - type: string
                    - type: 'null'
              additionalProperties: false
            - type: 'null'
      required:
        - id
        - reference
        - status
        - createdAt
        - content
      additionalProperties: false
  securitySchemes:
    apikey:
      scheme: bearer
      bearerFormat: API key
      type: http
      description: >-
        Use your Primo API key in the Authorization header as `Bearer
        <API_KEY>`.

````